<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    tools:background="@drawable/im_message_bubble_self_bg"
    tools:paddingBottom="@dimen/im_message_bubble_self_padding_bottom"
    tools:paddingEnd="@dimen/im_message_bubble_self_padding_end"
    tools:paddingStart="@dimen/im_message_bubble_self_padding_start"
    tools:paddingTop="@dimen/im_message_bubble_self_padding_top">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/btn_self_speed"
        android:layout_width="wrap_content"
        android:layout_height="28dp"
        android:background="@drawable/im_message_sound_speed_bg"
        android:paddingHorizontal="6dp"
        android:visibility="gone"
        app:layout_constraintEnd_toStartOf="@id/cl_content"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_min="56dp"
        tools:visibility="visible">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_self_speed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_self_speed_unit"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="1" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_self_speed_unit"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="2dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_self_speed"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_self_speed"
            app:layout_constraintTop_toTopOf="@id/tv_self_speed"
            app:srcCompat="@drawable/im_session_sound_speed_unit_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="4dp"
        app:layout_constraintEnd_toStartOf="@id/btn_other_speed"
        app:layout_constraintStart_toEndOf="@id/btn_self_speed"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/btn_play"
            android:layout_width="29dp"
            android:layout_height="29dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/im_session_sound_play_ic" />

        <com.adealink.weparty.im.session.widget.MessageSoundPlayView
            android:id="@+id/v_play_view"
            android:layout_width="0dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            app:layout_constraintBottom_toBottomOf="@id/btn_play"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_play"
            app:layout_constraintTop_toTopOf="@id/btn_play"
            app:message_sound_play_cursor_width="10dp"
            app:message_sound_play_line_space="2dp"
            app:message_sound_play_line_width="2dp" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_message_status"
            android:layout_width="170dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/btn_play"
            app:layout_constraintTop_toBottomOf="@id/btn_play">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_duration"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF86909C"
                android:textSize="11sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="9:10" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/tv_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="4dp"
                android:includeFontPadding="false"
                android:textColor="@color/color_FF86909C"
                android:textSize="11sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toStartOf="@id/iv_read_status"
                app:layout_constraintTop_toTopOf="parent"
                tools:text="9:10" />

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_read_status"
                android:layout_width="15dp"
                android:layout_height="14dp"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:srcCompat="@drawable/im_session_message_read_ic"
                tools:visibility="visible" />
        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/btn_other_speed"
        android:layout_width="wrap_content"
        android:layout_height="28dp"
        android:background="@drawable/im_message_sound_speed_bg"
        android:paddingHorizontal="6dp"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@id/cl_content"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintWidth_min="56dp"
        tools:visibility="visible">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_other_speed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="14sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@id/iv_other_speed_unit"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="1" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/iv_other_speed_unit"
            android:layout_width="12dp"
            android:layout_height="12dp"
            android:layout_marginStart="2dp"
            app:layout_constraintBottom_toBottomOf="@id/tv_other_speed"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/tv_other_speed"
            app:layout_constraintTop_toTopOf="@id/tv_other_speed"
            app:srcCompat="@drawable/im_session_sound_speed_unit_ic" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>